Page MenuHomePhabricator

ecore_con: Fix dereferencing of null pointer
ClosedPublic

Authored by devilhorns on Mar 12 2019, 7:44 AM.

Details

Summary

Coverity reports that 'svr' might be NULL here, so we should check it
is valid before trying to use it.

Fixes Coverity CID1396990

@fix

Depends on D8320

Diff Detail

Repository
rEFL core/efl
Branch
devs/devilhorns/coverity
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 10272
devilhorns created this revision.Mar 12 2019, 7:44 AM
devilhorns requested review of this revision.Mar 12 2019, 7:44 AM
devilhorns updated this revision to Diff 20525.Mar 13 2019, 7:57 AM
devilhorns edited the summary of this revision. (Show Details)

rebase

cedric accepted this revision.Mar 13 2019, 4:16 PM
This revision is now accepted and ready to land.Mar 13 2019, 4:16 PM
devilhorns closed this revision.Mar 14 2019, 4:22 AM